from django.conf.urls import patterns, include, url
from django.contrib.auth.decorators import login_required
from django.contrib import admin
from systems import views
from systems import cluster_api_views

urlpatterns = patterns('',
    url(r'^$', views.myclusters_view, name='cluster_view'),
    url(r'^api/$', cluster_api_views.api_root),
    url(r'^all/$', views.cluster_view, name='cluster_all'),
    url(r'^ownedby/(?P<username>.*)/$', views.ownedby, name='cluster_all'),
    url(r'^detail/(?P<mypk>[0-9]+)/$', views.cluster_detail, name='cluster_detail'),
    url(r'^edit/(?P<mypk>-?\d+)/$', views.cluster_edit, name='cluster_edit'),
    url(r'^remove/(?P<mypk>-?\d+)/$', views.cluster_delete, name='cluster_delete'),
    url(r'^removesystem/(?P<mypk>-?\d+)/(?P<myowner>-?\d+)/$', views.cluster_remove_system, name='cluster_sys_remove'),
    url(r'^addsystem/(?P<mypk>-?\d+)/$', views.cluster_add_system, name='cluster_sys_add'),
    url(r'^propertyedit/(?P<mypk>-?\d+)/(?P<myowner>-?\d+)/$', views.property_edit_cluster, name='cluster_prop_add'),
    url(r'^removeproperty/(?P<mypk>-?\d+)/(?P<myowner>-?\d+)/$', views.cluster_property_remove, name='cluster_prop_remove'),
    url(r'^changeowner/(?P<mypk>-?\d+)/$', views.cluster_change_owner, name='cluster_change_owner'),
    
)
